Bug 1287128 - hiredis-devel is missing file hiredis.pc
hiredis-devel is missing file hiredis.pc
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: hiredis (Show other bugs)
el6
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 09:48 EST by Matthew Hollick
Modified: 2016-03-04 14:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Hollick 2015-12-01 09:48:57 EST
Description of problem:
Having installed packages hiredis and hiredis-devel, then attempting to build rsyslogd with redis out module support I get the following error:

./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu --target=x86_64-redhat-linux-gnu --program-prefix= --prefix=/usr --exec-prefix= --bindir=/bin --sbindir=/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/lib64 --libexecdir=/libexec --localstatedir=/var --sharedstatedir=/var/lib --mandir=/usr/share/man --infodir=/usr/share/info --disable-static --disable-testbench --enable-uuid --enable-elasticsearch --enable-ommongodb --enable-omkafka --enable-usertools --enable-gt-ksi --enable-gnutls --enable-imfile --enable-impstats --enable-imptcp --enable-libdbi --enable-mail --enable-mysql --enable-omprog --enable-omudpspoof --enable-omuxsock --enable-pgsql --enable-pmlastmsg --enable-relp --enable-snmp --enable-unlimited-select --enable-mmjsonparse --enable-mmnormalize --enable-mmanon --enable-mmutf8fix --enable-mail --enable-mmfields --enable-mmpstrucdata --enable-mmsequence --enable-pmaixforwardedfrom --enable-pmciscoios --enable-guardtime --enable-omhiredis --enable-omhttpfs

--SNIP--
--lots of output from configure--
--SNIP--

checking for HIREDIS... no
configure: error: Package requirements (hiredis >= 0.10.1) were not met:

No package 'hiredis' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables HIREDIS_CFLAGS
and HIREDIS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.





Version-Release number of selected component (if applicable):
0.10.1





How reproducible:
Absolute





Steps to Reproduce:
1. configure rsyslog repo from http://rpms.adiscon.com/v8-stable/ for additional libraries required for build (sorry I cant remember what they are but installing all of the following will ensure coverage: libgt-devel  libksi-devel  librelp-devel  liblognorm1-devel  liblognorm1-devel  liblognorm1-devel  libmongo-client-devel  adiscon-librdkafka-devel)
2. download and extract source from http://www.rsyslog.com/files/download/rsyslog/rsyslog-8.14.0.tar.gz
3. configure with commandline: 

   ./configure --enable-omhiredis






Actual results:
checking for HIREDIS... no
configure: error: Package requirements (hiredis >= 0.10.1) were not met:

No package 'hiredis' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables HIREDIS_CFLAGS
and HIREDIS_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.






Expected results:
--SNIP--
--lots of output from configure--
--SNIP--
---{ database support }---
    MySql support enabled:                    no
    libdbi support enabled:                   no
    PostgreSQL support enabled:               no
    mongodb support enabled:                  no
    hiredis support enabled:                  yes
--SNIP--





Additional info:
the file /usr/lib64/pkgconfig/hiredis.pc is missing.
creating the file with the contents below results in a successful configuration and build of rsyslogd. The file should be created as per: https://github.com/redis/hiredis/blob/master/Makefile



prefix=/usr
exec_prefix=/usr
libdir=/usr/lib64
includedir=/usr/include

Name: hiredis
Description: Minimalistic C client library for Redis.
Version: 0.10.1
Libs: -L${libdir} -lhiredis
Cflags: -I${includedir} -D_FILE_OFFSET_BITS=64
Comment 1 Matthew Hollick 2015-12-01 09:50:37 EST
If helpful I can have a crack at updating the spec file to fix this.
Comment 2 Denis Fateyev 2016-02-29 14:01:32 EST
Matthew, now the package is orphaned. Feel free to pick it up https://admin.fedoraproject.org/pkgdb/package/rpms/hiredis/ and update accordingly.

Note You need to log in before you can comment on or make changes to this bug.